import { deployScript } from '@rocketh';
import LegacyPublicResolverArtifact from '../../deployments/archive/PublicResolver_mainnet_9412610.sol/PublicResolver_mainnet_9412610.json';
export default deployScript(async ({ deploy, get, namedAccounts, network }) => {
    const { deployer } = namedAccounts;
    if (!network.tags?.legacy) {
        return;
    }
    const registry = get('ENSRegistry');
    await deploy('LegacyPublicResolver', {
        account: deployer,
        artifact: LegacyPublicResolverArtifact,
        args: [registry.address],
    });
}, {
    id: 'PublicResolver v1.0.0',
    tags: ['category:resolvers', 'LegacyPublicResolver'],
    dependencies: ['ENSRegistry'],
});
